<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('temp_users', function (Blueprint $table) {
            //
            $table->string('gardien_relation')->nullable();
            $table->string('gardien_phone_dial_code')->nullable();
            $table->string('gardien_phone_number')->nullable();
        });
        Schema::table('users', function (Blueprint $table) {
            //
            $table->string('gardien_relation')->nullable();
            $table->string('gardien_phone_dial_code')->nullable();
            $table->string('gardien_phone_number')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('temp_users', function (Blueprint $table) {
            //
            $table->dropColumn('gardien_relation');
            $table->dropColumn('gardien_phone_dial_code');
            $table->dropColumn('gardien_phone_number');
        });
        Schema::table('users', function (Blueprint $table) {
            //
            $table->dropColumn('gardien_relation');
            $table->dropColumn('gardien_phone_dial_code');
            $table->dropColumn('gardien_phone_number');
        });
        Schema::table('users', function (Blueprint $table) {
            //
            $table->dropColumn('gardien_relation');
            $table->dropColumn('gardien_phone_dial_code');
            $table->dropColumn('gardien_phone_number');
        });
    }
};
